Skip to content

Additional IPv6 blocks

All operations require authentication.

11 operationsv1/vrack/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List attached Additional IPv6 blocksProduction

GET
/v1/vrack/{serviceName}/ipv6

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200ipv6Block[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2001:41d0::/128"]

Get an attached Additional IPv6 blockProduction

GET
/v1/vrack/{serviceName}/ipv6/{ipv6}

Path parameters

ipv6
required
ipv6Block

Your IP v6 block

serviceName
required
string

The internal name of your vrack

Response

200ipv6successful operation
ipv6
read-only
ipv6Block

Your IP v6 block

publicRoutingType
read-only
string

Mode in which gateway is configured

region
read-only
string

Where you want your block announced on the network

Example uses ipv6 = 2001:41d0::/128, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6/{ipv6} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "ipv6": "2001:41d0::/128", "publicRoutingType": "string", "region": "string"}

Attach an Additional IPv6 blockProduction

POST
/v1/vrack/{serviceName}/ipv6

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

block
required
ipv6Block

Your IP v6 block

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Detach an Additional IPv6 blockProduction

DELETE
/v1/vrack/{serviceName}/ipv6/{ipv6}

Path parameters

ipv6
required
ipv6Block

Your IP v6 block

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses ipv6 = 2001:41d0::/128, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6/{ipv6} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

List bridged IPv6 subrangesProduction

GET
/v1/vrack/{serviceName}/ipv6/{ipv6}/bridgedSubrange

Path parameters

ipv6
required
ipv6Block

Your IP v6 block

serviceName
required
string

The internal name of your vrack

Response

200ipv6Block[]successful operation

Example uses ipv6 = 2001:41d0::/128, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6/{ipv6}/bridgedSubrange \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2001:41d0::/128"]

Get a bridged IPv6 subrangeProduction

GET
/v1/vrack/{serviceName}/ipv6/{ipv6}/bridgedSubrange/{bridgedSubrange}

Path parameters

bridgedSubrange
required
ipv6Block

subrange bridged into your vrack

ipv6
required
ipv6Block

Your IP v6 block

serviceName
required
string

The internal name of your vrack

Response

200bridgedSubrangesuccessful operation
bridgedSubrange
read-only
ipv6Block

subrange bridged into your vrack

gateway
read-only
ipv6

Your gateway

slaac
SlaacEnum

Slaac status

Valuesdisabledenabled

Example uses bridgedSubrange = 2001:41d0::/128, ipv6 = 2001:41d0::/128, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6/{ipv6}/bridgedSubrange/{bridgedSubrange} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bridgedSubrange": "2001:41d0::/128", "gateway": "2001:41d0:1:1994::1", "slaac": "disabled"}

Update the SLAAC statusProduction

PUT
/v1/vrack/{serviceName}/ipv6/{ipv6}/bridgedSubrange/{bridgedSubrange}

Update the SLAAC status. Enables or disables SLAAC on the bridged subrange. Returns the task that performs it.

Path parameters

bridgedSubrange
required
ipv6Block

subrange bridged into your vrack

ipv6
required
ipv6Block

Your IP v6 block

serviceName
required
string

The internal name of your vrack

Request body (required)

bridgedSubrange
read-only
ipv6Block

subrange bridged into your vrack

gateway
read-only
ipv6

Your gateway

slaac
SlaacEnum

Slaac status

Valuesdisabledenabled

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses bridgedSubrange = 2001:41d0::/128, ipv6 = 2001:41d0::/128, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6/{ipv6}/bridgedSubrange/{bridgedSubrange} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

List routed IPv6 subrangesProduction

GET
/v1/vrack/{serviceName}/ipv6/{ipv6}/routedSubrange

Path parameters

ipv6
required
ipv6Block

Your IP v6 block

serviceName
required
string

The internal name of your vrack

Response

200ipv6Block[]successful operation

Example uses ipv6 = 2001:41d0::/128, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6/{ipv6}/routedSubrange \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2001:41d0::/128"]

Get a routed IPv6 subrangeProduction

GET
/v1/vrack/{serviceName}/ipv6/{ipv6}/routedSubrange/{routedSubrange}

Path parameters

ipv6
required
ipv6Block

Your IP v6 block

routedSubrange
required
ipv6Block

subrange routed into your vrack

serviceName
required
string

The internal name of your vrack

Response

200routedSubrangesuccessful operation
nexthop
read-only
ipv6

nexthop used as a gateway for your routed subrange

routedSubrange
read-only
ipv6Block

subrange routed into your vrack

Example uses ipv6 = 2001:41d0::/128, routedSubrange = 2001:41d0::/128, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6/{ipv6}/routedSubrange/{routedSubrange} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "nexthop": "2001:41d0:1:1994::1", "routedSubrange": "2001:41d0::/128"}

Route an IPv6 subrangeProduction

POST
/v1/vrack/{serviceName}/ipv6/{ipv6}/routedSubrange

Route an IPv6 subrange. Routes a subrange of the block to a next hop. The next hop must belong to a bridged subrange. Returns the task that performs it.

Path parameters

ipv6
required
ipv6Block

Your IP v6 block

serviceName
required
string

The internal name of your vrack

Request body (required)

nexthop
required
ipv6

nexthop to configure for your routed subrange (must be part of bridged subrange)

routedSubrange
required
ipv6Block

subrange to route into your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses ipv6 = 2001:41d0::/128, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6/{ipv6}/routedSubrange \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Unroute an IPv6 subrangeProduction

DELETE
/v1/vrack/{serviceName}/ipv6/{ipv6}/routedSubrange/{routedSubrange}

Path parameters

ipv6
required
ipv6Block

Your IP v6 block

routedSubrange
required
ipv6Block

subrange routed into your vrack

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses ipv6 = 2001:41d0::/128, routedSubrange = 2001:41d0::/128, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/ipv6/{ipv6}/routedSubrange/{routedSubrange} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}